/*******************************************************************************
 * FoxWeapon_SNDBombBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxWeapon_SNDBombBase extends FoxWeapon_GrenadeBase
    config(SNDBomb)
    hidecategories(Navigation);

simulated function TimeWeaponEquipping()
{
    super.TimeWeaponEquipping();
    SetTimer(0.0010, false, 'WeaponEquipped');
    //return;    
}

simulated function ConsumeAmmo(byte FireModeNum)
{
    //return;    
}

simulated function CustomFire()
{
    super(Weapon).CustomFire();
    // End:0x31
    if(Role == ROLE_Authority)
    {
        SetFlashLocation(Location);
    }
    //return;    
}

simulated state Active
{
    simulated event BeginState(name PreviousStateName)
    {
        super.BeginState(PreviousStateName);
        StartFire(0);
        //return;        
    }
    stop;    
}

simulated state WeaponFiring
{
    ignores TimeWeaponFiring;

    simulated function bool TryPutDown()
    {
        PutDownWeapon();
        return true;
        //return ReturnValue;        
    }
    stop;    
}

defaultproperties
{
    begin object name=GearFXParticleSystemComponent0 class=FoxFirstPersonParticleSystemComponent
        ReplacementPrimitive=none
    object end
    // Reference: FoxFirstPersonParticleSystemComponent'Default__FoxWeapon_SNDBombBase.GearFXParticleSystemComponent0'
    GearFXComponent=GearFXParticleSystemComponent0
    bSelectable=false
    bAutomaticWeapon=true
    FireFeedbackWaveform=ForceFeedbackWaveform'Default__FoxWeapon_SNDBombBase.ForceFeedbackWaveformFire'
    TightAimCameraShake=CameraShake'Default__FoxWeapon_SNDBombBase.Shake0'
    NormalCameraShake=CameraShake'Default__FoxWeapon_SNDBombBase.Shake1'
    MuzzleFlashLight=PointLightComponent'Default__FoxWeapon_SNDBombBase.LightComponent0'
    begin object name=LensComp class=LensFlareComponent
        NextTraceTime=-0.61629080
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__FoxWeapon_SNDBombBase.LensComp'
    MuzzleLensFlare=LensComp
    AN_NormalFire=(TP_Anim=(AnimName=(None,None,Arm_Loop_A)),FP_Anim=Arm_Loop_A,WP_Anim=Arm_Loop_A)
    FiringStatesArray=/* Array type was not detected. */
    WeaponFireTypes=/* Array type was not detected. */
    begin object name=WeaponMesh class=FoxFirstPersonSkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: FoxFirstPersonSkeletalMeshComponent'Default__FoxWeapon_SNDBombBase.WeaponMesh'
    Mesh=WeaponMesh
}